Classes | Public Member Functions | Public Attributes | List of all members
PowerPoint1ParserInternal::TextZone Struct Reference

Internal: a text zone of a PowerPoint1Parser. More...

## Classes
struct | Line
| small structure used to store a line of text and its format More...

## Public Member Functions
| TextZone ()
| constructor More...
bool | empty () const
| return true if the zone has no text More...

## Public Attributes
std::vector< Line > | m_lineList
| the line list More...
int | m_schemeId
| the scheme id (if v2) More...

## Detailed Description

Internal: a text zone of a PowerPoint1Parser.

## Constructor & Destructor Documentation

## ◆ TextZone()

PowerPoint1ParserInternal::TextZone::TextZone | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool PowerPoint1ParserInternal::TextZone::empty | ( |  | ) | const
| inline

return true if the zone has no text

Referenced by PowerPoint1Parser::sendSlide().

## Member Data Documentation

## ◆ m_lineList

std::vector<Line> PowerPoint1ParserInternal::TextZone::m_lineList

the line list

Referenced by PowerPoint1Parser::readTextZone(), and PowerPoint1Parser::sendText().

## ◆ m_schemeId

int PowerPoint1ParserInternal::TextZone::m_schemeId
| mutable

the scheme id (if v2)

Referenced by PowerPoint1Parser::sendSlide(), and PowerPoint1Parser::sendText().

The documentation for this struct was generated from the following file:

- PowerPoint1Parser.cxx